'
' Interface to a 74HC595 serial to parallel shift register
'
    $define SR74_LAT PORTC.0                    ' Choose a pin for the 74HC595 Latch line

    Include "74HC595.inc"                       ' Load the 74HC595 macros into the program
'
' Create a variable to work with
'
    Dim bIndex As Byte                          ' Used as a loop counter
'-------------------------------------------------------------------------------------------
' The main demo loop starts here
' Repeatedly cycle the outputs of the 74HC595 from Q0 to Q7 then back
'
Main:   
    While 1 = 1                                 ' Create an infinite loop
        '
        ' Cycle the outputs from Q0 to Q7
        '
        For bIndex = 0 To 7                     ' Create a loop from 0 to 7
            SR_WriteBit(bIndex,1)               ' Set the appropriate output line
            DelayMS 150                         ' Delay so we can see what's going on
            SR_WriteBit(bIndex,0)               ' Clear the appropriate output line
            DelayMS 1
        Next                                    ' Close the loop
        '
        ' Cycle the outputs from Q6 to Q1
        '
        For bIndex = 6 To 1 Step -1             ' Create a loop from 6 to 1
            SR_WriteBit(bIndex,1)               ' Set the appropriate output line
            DelayMS 150                         ' Delay so we can see what's going on
            SR_WriteBit(bIndex,0)               ' Clear the appropriate output line
            DelayMS 1
        Next                                    ' Close the loop
    Wend                                        ' Do it forever
